`timescale 1ns / 1ps


module memory(
    input wire clk,
    input wire [15:0] address,
    output reg [28:0] data
);

    always @* begin 
        case ({address})                  // | 4|| 4|| 4||     16       ||  
16'b0000000000000000: data = 29'b00100110000000000000000000011;
16'b0000000000000001: data = 29'b00100111000011111111111111111;
16'b0000000000000010: data = 29'b00101000000000000000000000001;
16'b0000000000000011: data = 29'b00101001000000000000001100101;
16'b0000000000000100: data = 29'b00101010000000000000001100101;
16'b0000000000000101: data = 29'b00101011000000000000011001001;
16'b0000000000000110: data = 29'b00101100000000000000011001001;
16'b0000000000000111: data = 29'b00101101000000000000000000011;
16'b0000000000001000: data = 29'b00101110000000000000000000011;
16'b0000000000001001: data = 29'b00100101000000000000000000001;
16'b0000000000001010: data = 29'b00100010000000000000000011101;
16'b0000000000001011: data = 29'b00100011000000000000000011011;
16'b0000000000001100: data = 29'b00100000000000000000000000001;
16'b0000000000001101: data = 29'b00100001000000000000000000001;
16'b0000000000001110: data = 29'b01100100000000000000011001001;
16'b0000000000001111: data = 29'b00110100010000000000000000010;
16'b0000000000010000: data = 29'b00110100010000000000000001010;
16'b0000000000010001: data = 29'b01110100010000000000000010001;
16'b0000000000010010: data = 29'b00010000000100000000000001000;
16'b0000000000010011: data = 29'b00110001000100000000000000011;
16'b0000000000010100: data = 29'b11000010000100000001010000001;
16'b0000000000010101: data = 29'b00110000000000000000000000011;
16'b0000000000010110: data = 29'b11000011000000000001111000001;
16'b0000000000010111: data = 29'b00110101010100000000000000011;
16'b0000000000011000: data = 29'b00100000000000000000000110111;
16'b0000000000011001: data = 29'b10110000111100000000000000111;
16'b0000000000011010: data = 29'b10100000000000000000000010101;
16'b0000000000011011: data = 29'b00100010000000000000001000001;
16'b0000000000011100: data = 29'b00100011000000000000000111111;
16'b0000000000011101: data = 29'b00100000000000000000000010010;
16'b0000000000011110: data = 29'b00110100100100000000000111101;
16'b0000000000011111: data = 29'b00100001000000000000000000001;
16'b0000000000100000: data = 29'b00010000000100000000000001111;
16'b0000000000100001: data = 29'b00110001000100000000000000011;
16'b0000000000100010: data = 29'b11000010000100000000000000101;
16'b0000000000100011: data = 29'b00110000000000000000000000011;
16'b0000000000100100: data = 29'b11000011000000000000000001000;
16'b0000000000100101: data = 29'b00100010000000000000001010101;
16'b0000000000100110: data = 29'b00100011000000000000001010011;
16'b0000000000100111: data = 29'b00100000000000000000000010100;
16'b0000000000101000: data = 29'b00110100101000000000000111101;
16'b0000000000101001: data = 29'b00100001000000000001001111101;
16'b0000000000101010: data = 29'b00010000000100000000000001111;
16'b0000000000101011: data = 29'b00110001000100000000000000011;
16'b0000000000101100: data = 29'b11000010000100000001010000001;
16'b0000000000101101: data = 29'b00110000000000000000000000011;
16'b0000000000101110: data = 29'b11000011000000000000000001000;
16'b0000000000101111: data = 29'b00100010000000000000001101011;
16'b0000000000110000: data = 29'b00100011000000000000001101001;
16'b0000000000110001: data = 29'b00100000000000000000000011000;
16'b0000000000110010: data = 29'b00110100110000000000000010101;
16'b0000000000110011: data = 29'b00110101101100000000000001011;
16'b0000000000110100: data = 29'b00100001000000000000000010110;
16'b0000000000110101: data = 29'b00010000000100000000000001111;
16'b0000000000110110: data = 29'b00110001000100000000000000011;
16'b0000000000110111: data = 29'b11000010000100000000000001010;
16'b0000000000111000: data = 29'b00110000000000000000000000011;
16'b0000000000111001: data = 29'b11000011000000000000000001000;
16'b0000000000111010: data = 29'b00100010000000000000001111101;
16'b0000000000111011: data = 29'b00100011000000000000001111011;
16'b0000000000111100: data = 29'b00100000000000000000000000001;
16'b0000000000111101: data = 29'b00100001000000000000000000001;
16'b0000000000111110: data = 29'b00110001000100000000000000011;
16'b0000000000111111: data = 29'b11000010000100000011111010001;
16'b0000000001000000: data = 29'b00110000000000000000000000011;
16'b0000000001000001: data = 29'b11000011000000000000001100101;
16'b0000000001000010: data = 29'b00100010000000000000010001111;
16'b0000000001000011: data = 29'b00100011000000000000010001101;
16'b0000000001000100: data = 29'b00100000000000000000000010010;
16'b0000000001000101: data = 29'b00110100100100000000000111101;
16'b0000000001000110: data = 29'b00100001000000000000000000001;
16'b0000000001000111: data = 29'b00010000000100000000000000001;
16'b0000000001001000: data = 29'b00110001000100000000000000011;
16'b0000000001001001: data = 29'b11000010000100000000000000101;
16'b0000000001001010: data = 29'b00110000000000000000000000011;
16'b0000000001001011: data = 29'b11000011000000000000000001000;
16'b0000000001001100: data = 29'b00100010000000000000010100011;
16'b0000000001001101: data = 29'b00100011000000000000010100001;
16'b0000000001001110: data = 29'b00100000000000000000000010100;
16'b0000000001001111: data = 29'b00110100101000000000000111101;
16'b0000000001010000: data = 29'b00100001000000000001001111101;
16'b0000000001010001: data = 29'b00010000000100000000000000001;
16'b0000000001010010: data = 29'b00110001000100000000000000011;
16'b0000000001010011: data = 29'b11000010000100000001010000001;
16'b0000000001010100: data = 29'b00110000000000000000000000011;
16'b0000000001010101: data = 29'b11000011000000000000000001000;
16'b0000000001010110: data = 29'b00100010000000000000010111001;
16'b0000000001010111: data = 29'b00100011000000000000010110111;
16'b0000000001011000: data = 29'b00100000000000000000000011000;
16'b0000000001011001: data = 29'b00110100110000000000000010101;
16'b0000000001011010: data = 29'b00110101101100000000000001011;
16'b0000000001011011: data = 29'b00100001000000000000000010110;
16'b0000000001011100: data = 29'b00010000000100000000000000001;
16'b0000000001011101: data = 29'b00110001000100000000000000011;
16'b0000000001011110: data = 29'b11000010000100000000000001010;
16'b0000000001011111: data = 29'b00110000000000000000000000011;
16'b0000000001100000: data = 29'b11000011000000000000000001000;
16'b0000000001100001: data = 29'b00111000100000000000000000011;
16'b0000000001100010: data = 29'b00100000000000000000011001111;
16'b0000000001100011: data = 29'b11000000100000010011100010001;
16'b0000000001100100: data = 29'b00101000000000000000000000001;
16'b0000000001100101: data = 29'b00110110011000000000000000011;
16'b0000000001100110: data = 29'b00110111011111111111111111111;
16'b0000000001100111: data = 29'b00100000000000000000011011111;
16'b0000000001101000: data = 29'b11010000101100000000000000101;
16'b0000000001101001: data = 29'b00101101000000000000000001100;
16'b0000000001101010: data = 29'b00100001000000000000000000001;
16'b0000000001101011: data = 29'b00110010110000000000000010101;
16'b0000000001101100: data = 29'b11000001001000000000000010010;
16'b0000000001101101: data = 29'b00110010100100000000000111101;
16'b0000000001101110: data = 29'b11000001001000000000000011000;
16'b0000000001101111: data = 29'b00100000000000000000011100101;
16'b0000000001110000: data = 29'b11000000101100000001001111101;
16'b0000000001110001: data = 29'b00101101000000000000000001110;
16'b0000000001110010: data = 29'b00100000000000000000011101011;
16'b0000000001110011: data = 29'b11000000110000000001110110111;
16'b0000000001110100: data = 29'b00101110000000000000000001110;
16'b0000000001110101: data = 29'b00100000000000000000011110001;
16'b0000000001110110: data = 29'b11010000110000000000000000101;
16'b0000000001110111: data = 29'b00101110000000000000000001100;
16'b0000000001111000: data = 29'b00100000000000000000011111001;
16'b0000000001111001: data = 29'b00100001000000000000011111101;
16'b0000000001111010: data = 29'b10110000111100000000000000011;
16'b0000000001111011: data = 29'b10100000000000000000000000010;
16'b0000000001111100: data = 29'b11010001100100000001110000101;
16'b0000000001111101: data = 29'b00111001100100000000000000101;
16'b0000000001111110: data = 29'b00100000000000000000100000101;
16'b0000000001111111: data = 29'b00100001000000000000100001001;
16'b0000000010000000: data = 29'b10110000111100000000000000101;
16'b0000000010000001: data = 29'b10100000000000000000000000010;
16'b0000000010000010: data = 29'b11000001100100000000000000101;
16'b0000000010000011: data = 29'b01001001100100000000000000101;
16'b0000000010000100: data = 29'b00100000000000000000100001111;
16'b0000000010000101: data = 29'b11010000110000000001101111011;
16'b0000000010000110: data = 29'b00101010000000000000000011000;
16'b0000000010000111: data = 29'b00111011101100000000000011010;
16'b0000000010001000: data = 29'b00111100110000000000000011100;
16'b0000000010001001: data = 29'b10100000000000000000000110111;




            default: data = 29'b00000000000000000000000000000;
        endcase
    end


endmodule
